io.vertx.rxjava.json.schema

## Class SchemaRepository

- java.lang.Object
- - io.vertx.rxjava.json.schema.SchemaRepository

-     public class SchemaRepository
      extends Object

  A repository is a holder of dereferenced schemas, it can be used to create validator instances for a specific schema. This is to be used when multiple schema objects compose the global schema to be used for validation.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<SchemaRepository>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchemaRepository(Object delegate)`
    `SchemaRepository(SchemaRepository delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SchemaRepository` | `create(JsonSchemaOptions options)` Create a repository with some initial configuration.
    `SchemaRepository` | `dereference(JsonSchema schema)` Dereferences a schema to the repository.
    `SchemaRepository` | `dereference(String uri, JsonSchema schema)` Dereferences a schema to the repository.
    `boolean` | `equals(Object o)`
    `SchemaRepository` | `getDelegate()`
    `int` | `hashCode()`
    `static SchemaRepository` | `newInstance(SchemaRepository arg)`
    `String` | `toString()`
    `Validator` | `validator(JsonSchema schema)` A new validator instance using this repository options.
    `Validator` | `validator(JsonSchema schema, JsonSchemaOptions options)` A new validator instance overriding this repository options.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<SchemaRepository> __TYPE_ARG

  - ### Constructor Detail

    - #### SchemaRepository

          public SchemaRepository(SchemaRepository delegate)

    - #### SchemaRepository

          public SchemaRepository(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public SchemaRepository getDelegate()

    - #### create

          public static SchemaRepository create(JsonSchemaOptions options)

      Create a repository with some initial configuration.
      Parameters:
        `options` - the initial configuration
      Returns:
        a repository

    - #### dereference

          public SchemaRepository dereference(JsonSchema schema)

      Dereferences a schema to the repository.
      Parameters:
        `schema` - a new schema to list
      Returns:
        a repository

    - #### dereference

          public SchemaRepository dereference(String uri,
                                              JsonSchema schema)

      Dereferences a schema to the repository.
      Parameters:
        `uri` - the source of the schema used for de-referencing, optionally relative to `JsonSchemaOptions`.
        `schema` - a new schema to list
      Returns:
        a repository

    - #### validator

          public Validator validator(JsonSchema schema)

      A new validator instance using this repository options.
      Parameters:
        `schema` - the start validation schema
      Returns:
        the validator

    - #### validator

          public Validator validator(JsonSchema schema,
                                     JsonSchemaOptions options)

      A new validator instance overriding this repository options.
      Parameters:
        `schema` - the start validation schema
        `options` - the options to be using on the validator instance
      Returns:
        the validator

    - #### newInstance

          public static SchemaRepository newInstance(SchemaRepository arg)

Copyright © 2022 Eclipse. All rights reserved.